<h2 class="text-align-center">Registration</h2>
<div class="app-plate">
  <form [formGroup]="registrationForm" class="registration-form">
    <div>
      <div class="form__control">
        <label for="name">Name</label>
        <!--Use the name `name` for the form control.-->
        <input type="text" 
                id="name" 
                formControlName="name"
                [class.input-error]="registrationForm.get('name')?.invalid"
                placeholder="Input text"/>
                <span *ngIf="registrationForm.get('name')?.errors?.['required'] && (registrationForm.get('name')?.touched || registrationForm.get('name')?.dirty)" class="text-danger">Name is required.</span>
                <span *ngIf="registrationForm.get('name')?.errors?.['minlength']" class="text-danger">Name must be at least 6 characters long</span>
      </div>
      <div class="form__control">
        <!--Use the name `email` for the form control.-->
        <label for="email">Email</label>
        <input type="text" 
                id="email" 
                formControlName="email"
                [class.input-error]="registrationForm.get('email')?.invalid"
                placeholder="Input text"/>
                <span *ngIf="registrationForm.get('email')?.errors?.['required'] && (registrationForm.get('email')?.touched || registrationForm.get('email')?.dirty)" class="text-danger">Email is required.</span>
                <span *ngIf="registrationForm.get('email')?.errors?.['invalidEmail']" class="text-danger">Invalid email format.</span>
      </div>
      <div class="form__control">
        <!--Use the name `password` for the form control.-->
        <label for="password">Password</label>
        <input type="password" 
                id="password" 
                formControlName="password"
                [class.input-error]="registrationForm.get('password')?.invalid"
                placeholder="Input text"
                appPassword/>
                <span *ngIf="registrationForm.get('password')?.errors?.['required'] && (registrationForm.get('password')?.touched || registrationForm.get('password')?.dirty)" class="text-danger">Password is required.</span>
                <span *ngIf="registrationForm.get('password')?.errors?.['minlength']" class="text-danger">Password must be at least 8 characters long</span>
                <span *ngIf="registrationForm.get('password')?.errors?.['pattern']" class="text-danger">Password must contain capital letters, numbers and symbols</span>
      </div>
    </div>
    <div class="form__action">
      <app-button (click)="onSubmit()" [button-text]="'Submit'" ></app-button>
    </div>
    <div>
      <p class="login">
        If you have an accont you may <a routerLink="/login"><strong>Login</strong></a>
      </p>
    </div>
  </form>
</div>
